#include "AtomicNucleus.h"

#include "PeriodicTable.h"

using namespace SolidStatePhysics::Crystallization::Components;

// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// Constructors

AtomicNucleus::AtomicNucleus(const size_type atomicNumber)
	: m_atomicNumber{ atomicNumber }
	, m_cartesianCoordinate(3)
	, m_appliedForce(3)
{
}

AtomicNucleus::AtomicNucleus(const size_type atomicNumber, const NumericVector& cartesianCoordinate)
	: m_atomicNumber{ atomicNumber }
	, m_cartesianCoordinate{ cartesianCoordinate }
	, m_appliedForce(3)
{
}

// Constructors
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
// **********************************************************************************************************************************************************************************************************************************************************************************************
